# set the include path for X, qt and KDE
INCLUDES = $(all_includes)

# these are the headers for your project
noinst_HEADERS = open1xsupplicant.h filemanager.h configobject.h xsupplicant.h \
		languages.h logfile.h

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/open1xsupplicant.pot

KDE_ICON = open1xsupplicant

#########################################################################
# APPLICATION SECTION
#########################################################################
# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = open1xsupplicant

# the application source, library search path, and link libraries
open1xsupplicant_SOURCES = main.cpp open1xsupplicant.cpp filemanager.cpp \
				configobject.cpp xsupplicant.cpp languages.cpp logfile.cpp
open1xsupplicant_LDFLAGS = $(KDE_RPATH) $(all_libraries)
open1xsupplicant_LDADD = $(LIB_KDEUI)

# this is where the desktop file will go 
shelldesktopdir   = $(kde_appsdir)/Utilities
shelldesktop_DATA = open1xsupplicant.desktop

# this is where the shell's XML-GUI resource file goes
shellrcdir   = $(kde_datadir)/open1xsupplicant
shellrc_DATA = open1xsupplicantui.rc

